# This file will be configured to contain variables for CPack. These variables
# should be set in the CMake list file of the project before CPack module is
# included. The list of available CPACK_xxx variables and their associated
# documentation may be obtained using
#  cpack --help-variable-list
#
# Some variables are common to all generators (e.g. CPACK_PACKAGE_NAME)
# and some are specific to a generator
# (e.g. CPACK_NSIS_EXTRA_INSTALL_COMMANDS). The generator specific variables
# usually begin with CPACK_<GENNAME>_xxxx.


SET(CPACK_BINARY_BUNDLE "")
SET(CPACK_BINARY_CYGWIN "")
SET(CPACK_BINARY_DEB "")
SET(CPACK_BINARY_DRAGNDROP "")
SET(CPACK_BINARY_NSIS "")
SET(CPACK_BINARY_OSXX11 "")
SET(CPACK_BINARY_PACKAGEMAKER "")
SET(CPACK_BINARY_RPM "")
SET(CPACK_BINARY_STGZ "")
SET(CPACK_BINARY_TBZ2 "")
SET(CPACK_BINARY_TGZ "")
SET(CPACK_BINARY_TZ "")
SET(CPACK_BINARY_WIX "")
SET(CPACK_BINARY_ZIP "")
SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET(CPACK_COMPONENTS_ALL "")
SET(CPACK_COMPONENT_UNSPECIFIED_HIDDEN "TRUE")
SET(CPACK_COMPONENT_UNSPECIFIED_REQUIRED "TRUE")
SET(CPACK_GENERATOR "TGZ;TZ")
SET(CPACK_IGNORE_FILES "/bin/;/doc\\/files/;/build/;/cbuild/;/dist/;/lib/;/jnlp/;build_langella.xml;Makefile;cmake_install.cmake;cmake_install.cmake;CMakeCache.txt;CPackConfig.cmake;CPackSourceConfig.cmake;install_manifest.txt;/CMakeFiles/;/_CPack_Packages/;/Debug/;/Release/;/\\.kdev4/;/\\.externalToolBuilders/;/\\.git/;\\.gitignore;/\\.settings/;Makefile;\\.cdtbuild;\\.cdtproject;\\.project;\\.cproject;beads$;.*\\.pdf;.*\\.xpip;.*\\.tar\\.gz;XTandem_Pipeline.jar;XtandemPipeline.jar;mascotdatfile_log4j.*;doc\\/.*\\.aux;doc\\/.*\\.out;doc\\/.*\\.log;doc\\/.*\\.toc;doc\\/.*\\.tex~;doc\\/.*\\.fdb_latexmk")
SET(CPACK_INSTALLED_DIRECTORIES "/home/langella/developpement/git/xtandempipeline/cbuild/xtandempipeline-3.4.3;/")
SET(CPACK_INSTALL_CMAKE_PROJECTS "")
SET(CPACK_INSTALL_PREFIX "/usr")
SET(CPACK_MODULE_PATH "")
SET(CPACK_NSIS_DISPLAY_NAME "xtandempipeline 3.4.3")
SET(CPACK_NSIS_INSTALLER_ICON_CODE "")
SET(CPACK_NSIS_INSTALLER_MUI_ICON_CODE "")
SET(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES")
SET(CPACK_NSIS_PACKAGE_NAME "xtandempipeline 3.4.3")
SET(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
SET(CPACK_PACKAGE_DEFAULT_LOCATION "/")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "/usr/share/cmake-3.0/Templates/CPack.GenericDescription.txt")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "loads and parses the xml results product by X!Tandem")
SET(CPACK_PACKAGE_EXECUTABLES "xtandempipeline;xtandempipeline")
SET(CPACK_PACKAGE_FILE_NAME "xtandempipeline-3.4.3")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "xtandempipeline 3.4.3")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "xtandempipeline 3.4.3")
SET(CPACK_PACKAGE_NAME "xtandempipeline")
SET(CPACK_PACKAGE_RELOCATABLE "true")
SET(CPACK_PACKAGE_VENDOR "INRA")
SET(CPACK_PACKAGE_VERSION "3.4.3")
SET(CPACK_PACKAGE_VERSION_MAJOR "3")
SET(CPACK_PACKAGE_VERSION_MINOR "4")
SET(CPACK_PACKAGE_VERSION_PATCH "3")
SET(CPACK_RESOURCE_FILE_LICENSE "/home/langella/developpement/git/xtandempipeline/cbuild/xtandempipeline-3.4.3/COPYING")
SET(CPACK_RESOURCE_FILE_README "/home/langella/developpement/git/xtandempipeline/cbuild/xtandempipeline-3.4.3/README")
SET(CPACK_RESOURCE_FILE_WELCOME "/usr/share/cmake-3.0/Templates/CPack.GenericWelcome.txt")
SET(CPACK_SET_DESTDIR "OFF")
SET(CPACK_SOURCE_CYGWIN "")
SET(CPACK_SOURCE_GENERATOR "TGZ;TZ")
SET(CPACK_SOURCE_IGNORE_FILES "/bin/;/doc\\/files/;/build/;/cbuild/;/dist/;/lib/;/jnlp/;build_langella.xml;Makefile;cmake_install.cmake;cmake_install.cmake;CMakeCache.txt;CPackConfig.cmake;CPackSourceConfig.cmake;install_manifest.txt;/CMakeFiles/;/_CPack_Packages/;/Debug/;/Release/;/\\.kdev4/;/\\.externalToolBuilders/;/\\.git/;\\.gitignore;/\\.settings/;Makefile;\\.cdtbuild;\\.cdtproject;\\.project;\\.cproject;beads$;.*\\.pdf;.*\\.xpip;.*\\.tar\\.gz;XTandem_Pipeline.jar;XtandemPipeline.jar;mascotdatfile_log4j.*;doc\\/.*\\.aux;doc\\/.*\\.out;doc\\/.*\\.log;doc\\/.*\\.toc;doc\\/.*\\.tex~;doc\\/.*\\.fdb_latexmk")
SET(CPACK_SOURCE_INSTALLED_DIRECTORIES "/home/langella/developpement/git/xtandempipeline/cbuild/xtandempipeline-3.4.3;/")
SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "xtandempipeline-3.4.3")
SET(CPACK_SOURCE_STRIP_FILES "")
SET(CPACK_SOURCE_TBZ2 "")
SET(CPACK_SOURCE_TGZ "")
SET(CPACK_SOURCE_TOPLEVEL_TAG "Linux-Source")
SET(CPACK_SOURCE_TZ "")
SET(CPACK_SOURCE_ZIP "")
SET(CPACK_STRIP_FILES "")
SET(CPACK_SYSTEM_NAME "Linux")
SET(CPACK_TOPLEVEL_TAG "Linux-Source")
SET(CPACK_WIX_SIZEOF_VOID_P "")
