Quick install guide for X!TandemPipeline @XTANDEMPIPELINE_VERSION@

complete documentation can be found at :
http://moulon.inra.fr/bioinfo/xtandempipeline

Please download and unzip the "zip archive file" found in the download section in your system.
You should obtain this directory :
xtandempipeline-@XTANDEMPIPELINE_VERSION@
containing all necessary files to run X!TandemPipeline


**** For Windows *****

- check your local Java installation. The JVM can be found at :
https://java.com/en/download/
- in the directory xtandempipeline-@XTANDEMPIPELINE_VERSION@ , double click on the file named :
xtandempipeline.bat

This will launch automatically the Java Virtual Machine and X!TandemPipeline.
Memory requirements are :
- 2.5Gbytes for Windows 64 bits, JVM 64 bits
- 1.9Gbytes for Windows 32 bits, JVM 32 bits

If you have more than 50 identification files from complex MS samples (QExactive complex samples), this may be insufficient. X!TandemPipeline can be slow or crashes during loading.

In this case, try to double click on :
xtandempipeline_bigmem.bat

Memory requirements is : 8Gbytes minimum

This should be sufficient to handle 200 complex MS samples.
You can also edit this xtandempipeline_bigmem.bat to modify the memory requirement defined by "-Xmx8000m"


**** For Linux *****
**** ONLY 64 bits JVM are supported, please mail us if you need a 32 bits version ****

- check your local Java installation. Please use the package corresponding to your operating system.
You should be able to launch the Java Virtual Machine with this command :
/usr/bin/java
if not then you can edit the files :
xtandempipeline-@XTANDEMPIPELINE_VERSION@/xtandempipeline.sh
xtandempipeline-@XTANDEMPIPELINE_VERSION@/xtandempipeline_bigmem.sh

and modify the line :
jvm="/usr/bin/java"

to use your local JVM installation.

- run in a terminal :
./xtandempipeline-@XTANDEMPIPELINE_VERSION@/xtandempipeline.sh
for a JVM using 2.5Gbytes by default

./xtandempipeline-@XTANDEMPIPELINE_VERSION@/xtandempipeline_bigmem.sh
for a JVM using 8Gbytes by default



