package fr.inra.pappso.xtandempipeline.class_msms;

import java.util.HashMap;
import java.util.HashSet;

public class DatabaseSet extends HashSet<Database>{

	private static final long serialVersionUID = -1421036807680049406L;
	
	private HashMap<String,Database> name2msRun= new HashMap<String,Database>(0);

	public Database getInstance(String filename) {
		String file = this.getNameFromPath(filename);
		if (name2msRun.containsKey(file)) {
			return name2msRun.get(file);
		}
		Database msRun = new Database(file);
		name2msRun.put(file, msRun);
		this.add(msRun);
		return msRun;
	}

	private String getNameFromPath(String filename) {
		filename = filename.replaceAll("\\\\", "/");
		String[] temp = filename.split("/");
		return temp[temp.length-1];
	}
	
}
