package fr.inra.pappso.xtandempipeline.class_msms;

public class xtandem_param {

	private String group;

	// private URL link;

	private String link;

	private boolean modified;

	private String type;

	private String label;

	private String note;

	private String value;

	private String default_value;

	public xtandem_param() {
	}

	public String getGroup() {
		return group;
	}

	public void setGroup(String group) {
		this.group = group;
	}

	public String getLink() {
		return link;
	}

	public void setLink(String link) {
		this.link = link;
	}

	public boolean isModified() {
		return modified;
	}

	public void setModified(boolean modified) {
		this.modified = modified;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getNote() {
		return note;
	}

	public void setNote(String note) {
		this.note = note;
	}

	public String getValue() {
		return value;
	}

	public boolean setValue(String value) {
		if (type.equalsIgnoreCase("int")) {
			try {
				Integer.parseInt(value);
				this.value = value;
				return (true);
			} catch (Exception e) {
				return (false);
			}
		} else if (type.equalsIgnoreCase("float")) {
			try {
				Float.valueOf(value).floatValue();
				this.value = value;
				return (true);
			} catch (Exception e) {
				return (false);
			}
		} else {
			this.value = value;
			return (true);
		}
	}

	public String xmlvalue() {
		// Modification des labels qui contiennent le lien xml valide
		// return (this.group+", "+this.label);
		return (this.label);
	}

	public String toString() {
		return (this.note + " :");
	}

	public String[] get_list_item() {
		String[] l = this.type.split("\\|");
		if (l.length > 0)
			return l;
		else
			return null;
	}

	public void setDefault_value(String default_value) {
		this.default_value = default_value;
		this.value = default_value;
	}

	public void restoreDefault_value() {
		this.value = default_value;
	}

	public int getValueindex() {
		String[] l = this.get_list_item();
		for (int i = 0; i < l.length; i++) {
			if (l[i].equals(value))
				return i;
		}
		return 0;
	}

}
