<?xml version='1.0' encoding='UTF-8'?>
<jnlp codebase="@JNLP_CODEBASE@" href="@JNLP_HREF@">
  <information>
  <title>X!TandemPipeline @CPACK_PACKAGE_VERSION_MAJOR@.@CPACK_PACKAGE_VERSION_MINOR@.@CPACK_PACKAGE_VERSION_PATCH@</title>
	<vendor>PAPPSO</vendor>
	<homepage href="http://pappso.inra.fr/bioinfo/xtandempipeline"/>
	<description>X!TandemPipeline</description>
	<description kind="short">Software to analyze, filters, view and export MS/MS identification results</description>
	<icon href="icon_64.png"/>
	<shortcut online="false">
	<desktop />
	</shortcut>
	<offline-allowed />
	</information>
  <security>
    <all-permissions />
  </security>
  <resources>
    <jar href="XtandemPipeline.jar" main="true" download="eager" />

    <!--
	 ***************************************
	 batik
	      **************************
    -->

     <jar href="lib/batik/batik-anim-1.7.jar" main="false" download="eager" />
    <jar href="lib/batik/batik-codec-1.7.jar" main="false" download="eager"/>
     <jar href="lib/batik/batik-ext-1.7.jar" main="false" download="eager" />
    <jar href="lib/batik/batik-transcoder-1.7.jar" main="false" download="eager"/>
     <jar href="lib/batik/batik-script-1.7.jar" main="false" download="eager" />
    <jar href="lib/batik/batik-transcoder-1.7.jar" main="false" download="eager"/>
     <jar href="lib/batik/batik-awt-util-1.7.jar" main="false" download="eager" />
    <jar href="lib/batik/batik-css-1.7.jar" main="false" download="eager"/>
     <jar href="lib/batik/batik-gvt-1.7.jar" main="false" download="eager" />
    <jar href="lib/batik/batik-svg-dom-1.7.jar" main="false" download="eager"/>
     <jar href="lib/batik/batik-util-1.7.jar" main="false" download="eager" />
    <jar href="lib/batik/batik-bridge-1.7.jar" main="false" download="eager"/>
     <jar href="lib/batik/batik-dom-1.7.jar" main="false" download="eager" />
    <jar href="lib/batik/batik-parser-1.7.jar" main="false" download="eager"/>
    <jar href="lib/batik/batik-svggen-1.7.jar" main="false" download="eager" />
    <jar href="lib/batik/batik-xml-1.7.jar" main="false" download="eager"/>

      <!--
	 ***************************************
	 others
	      **************************
    -->
    <jar href="lib/log4j-1.2.jar" main="false" download="eager" />
    <jar href="lib/xalan-2.6.0.jar" main="false" download="eager" />
    <jar href="lib/xercesImpl-2.9.1.jar" main="false" download="eager" />
    <jar href="lib/xml-apis-1.3.04.jar" main="false" download="eager" />
    <jar href="lib/xml-apis-ext-1.3.04.jar" main="false" download="eager" />
    <jar href="lib/cxf-common-utilities-2.2.4.jar" main="false" download="eager" />
    <jar href="lib/@MASCOT_DAT_FILE_JAR@" main="false" download="eager" />

    <jar href="lib/PPClient.jar" main="false" download="lazy" />
    <jar href="lib/http/commons-codec-1.2.jar" main="false" download="lazy" />
    <jar href="lib/http/commons-httpclient-3.1.jar" main="false" download="lazy" />
    <jar href="lib/http/commons-logging-1.0.4.jar" main="false" download="lazy" />

    <jar href="lib/libproteomicsvg.jar" main="false" download="eager" />
    <jar href="lib/libodsstream.jar" main="false" download="eager" />
    <jar href="lib/javacsv.jar" main="false" download="eager" />
    <jar href="lib/ods2csv.jar" main="false" download="eager" />
  </resources>

  <resources os="Windows" arch="x86">
    <j2se version="1.6+" java-vm-args="-Xincgc -Xmx1000m -Xms256m" />
    <jar href="lib/swt/swt-win32-windows-x86.jar" />
  </resources>
  <resources os="Windows" arch="x86_64">
    <j2se version="1.6+" java-vm-args="-Xincgc @JVM_XMX_64@ -Xms256m" />
    <jar href="lib/swt/swt-win32-windows-x86_64.jar" />
  </resources>
  <resources os="Windows" arch="amd64">
    <j2se version="1.6+" java-vm-args="-Xincgc @JVM_XMX_64@ -Xms256m" />
    <jar href="lib/swt/swt-win32-windows-x86_64.jar" />
  </resources>
  <resources os="Linux" arch="x86_64">
    <j2se version="1.6+" java-vm-args="-Xincgc @JVM_XMX_64@ -Xms256m" />
    <jar href="lib/swt/swt-gtk-linux-x86_64.jar" />
  </resources>
  <resources os="Linux" arch="amd64">
    <j2se version="1.6+" java-vm-args="-Xincgc @JVM_XMX_64@ -Xms256m" />
    <jar href="lib/swt/swt-gtk-linux-x86_64.jar" />
  </resources>
  <resources os="Linux" arch="x86">
    <j2se version="1.6+" java-vm-args="-Xincgc -Xmx1400m -Xms256m" />
    <jar href="lib/swt/swt-gtk-linux-x86.jar" />
  </resources>
  <resources os="Linux">
    <j2se version="1.6+" java-vm-args="-Xincgc -Xmx1400m -Xms256m" />
    <jar href="lib/swt/swt-gtk-linux-x86.jar" />
  </resources>
  <resources os="Mac\ OS\ X" arch="i386">
  <j2se version="1.6+" java-vm-args="-XstartOnFirstThread -Xincgc -Xmx1000m -Xms256m"/>
  <jar href="lib/swt/swt-cocoa-macosx-x86.jar" />
  </resources>
  <resources os="Mac\ OS\ X" arch="x86_64">
  <j2se version="1.6+" java-vm-args="-XstartOnFirstThread -Xincgc @JVM_XMX_64@ -Xms256m"/>
  <jar href="lib/swt/swt-cocoa-macosx-x86_64.jar" />
  </resources>

	<application-desc main-class="fr.inra.pappso.xtandempipeline.XtandemPipelineMain" >
	</application-desc>

  <update check="always" policy="prompt-update"></update>
</jnlp>
