package fr.inra.pappso.xtandempipeline.grouping;

import org.apache.log4j.Logger;

public class HashProtein extends HashKey4Groups {
	private static final Logger logger = Logger.getLogger(HashProtein.class);

	private String accession;

	protected HashProtein(String accession) {
		this.accession = accession;
	}

	@Override
	public String toString() {
		return accession;

	}

	@Override
	public boolean equals(Object toCompare) {
		HashProtein compar_protein = (HashProtein)toCompare;
		if (this == toCompare) {
			return (this.accession.equals(compar_protein.accession));
		}
		else {
			return false;
		}
	}

}
