package fr.inra.pappso.xtandempipeline.output;

import java.io.*;

import org.apache.log4j.Logger;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;

public class MsmsTextOutput {
	protected static final Logger logger = Logger
			.getLogger(MsmsTextOutput.class);
	// attributs
	private String file;
	private PrintWriter OUT = null;

	public MsmsTextOutput() {
		this.file = null;
	}

	public void open(String F) throws MSMSException {
		this.file = F;
		try {
			this.OUT = new PrintWriter(new FileWriter(file));
		} catch (Exception e) {
			throw new MSMSException("Unable to create the file : " + file);
		}
	}

	public void close() throws MSMSException {
		try {
			OUT.close();
		} catch (Exception e) {
			throw new MSMSException("Unable to close the file : " + file);
		}
	}

	public void write(String S) throws MSMSException {
		try {
			OUT.print(S);
		} catch (Exception e) {
			throw new MSMSException("Unable to write to the file : " + file);
		}
	}
}
