cd /d %~dp0


@echo off

for /f %%j in ("java.exe") do (
    set JAVA_HOME=%%~dp0$PATH:j
)

if %JAVA_HOME%.==. (
    @echo java.exe not found
) else (
    @echo JAVA_HOME = %JAVA_HOME%
)

:: set the JAVA_HOME if you want
:: set JAVA_HOME="C:\Program Files\Java\jdk1.6.0_30"

set JAVA64=0
@echo off
java -d64 -version >nul 2>&1
if errorlevel 1 goto maybe32bit
echo Java is 64 bit
set JAVA64=1
goto ENDARCH
:maybe32bit
where java >nul 2>&1
if errorlevel 1 goto nojava
echo Java is 32 bit
goto ENDARCH
:nojava
echo Java is not installed
goto END
:ENDARCH

IF %JAVA64% EQU 1 (
	java.exe -Xmx2500m -cp ".\bin\*;.\lib\*;.\lib\swt\swt-win32-windows.jar;.\lib\batik\*;.\lib\http\*;." fr.inra.pappso.xtandempipeline.XtandemPipelineMain
) ELSE (
	java.exe -Xmx1500m -cp ".\bin\*;.\lib\*;.\lib\swt\swt-win32-windows-x86.jar;.\lib\batik\*;.\lib\http\*;." fr.inra.pappso.xtandempipeline.XtandemPipelineMain
)

:END
